Documentation

Get the reviews of a target

GET
/api/v1/external/reviews/{targetId}

Scope requis : read:reviews.

AutorisationBearer <jeton>

JWT d'organisation obtenu via le flow OIDC. Voir le guide d'intégration.

Dans: header

Paramètres de chemin

targetId*string

Id of the reviewed target (agent, model, ...)

Paramètres de requête

page*number
Plage1 <= value
Défaut1
pageSize*number
Plage1 <= value
Défaut10
sortBy?string
sortDirection*string
Défaut"DESC"

Valeur parmi

  • "ASC"
  • "DESC"
disablePagination*boolean
Défautfalse

Corps de réponse

application/json

curl -X GET "https://example.com/api/v1/external/reviews/string?page=1&pageSize=10&sortDirection=ASC&disablePagination=false"
{  "data": [    {      "id": "string",      "rating": 1,      "title": "string",      "description": "string",      "userId": "string",      "username": "string",      "createdAt": "2019-08-24T14:15:22Z"    }  ],  "meta": {    "currentPage": 0,    "totalItemsCount": 0,    "totalPagesCount": 0,    "itemsPerPage": 0  }}